#ifndef MARS_MHillasSrcCalc
#define MARS_MHillasSrcCalc

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MHillas;
class MHillasSrc;
class MSrcPosCam;

class MHillasSrcCalc : public MTask
{
private:
    MHillas    *fHillas;
    MSrcPosCam *fSrcPos;
    MHillasSrc *fHillasSrc;

    TString     fSrcName;
    TString     fHillasName;

public:
    MHillasSrcCalc(const char *src="MSrcPosCam", const char *hil="MHillasSrc",
                   const char *name=NULL, const char *title=NULL);

    Bool_t PreProcess(MParList *plist);
    Bool_t Process();

    void SavePrimitive(ofstream &out, Option_t *o="");

    ClassDef(MHillasSrcCalc, 0) // task to calculate the source position depandant hillas parameters
};

#endif
